GET members Id
GET
/members/{id}AuthorizationBearer <token>
Paste your JWT token here
In: header
Path Parameters
idstring
The unique identifier (Guid) of the member to retrieve.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://loading/members/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"studentNumber": "string",
"firstName": "string",
"lastName": "string",
"email": "user@example.com",
"phoneNumber": "string",
"street": "string",
"houseNumber": "string",
"postalCode": "string",
"city": "string",
"dateOfBirth": "2019-08-24T14:15:22Z",
"parentPhoneNumber": "string",
"mailSubscriptions": 0,
"notes": "string",
"registeredOn": "2019-08-24T14:15:22Z",
"preferredLanguage": "NL",
"studyEnrollments": [
{
"id": 0,
"memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",
"memberName": "string",
"studyId": 0,
"studyTitle": "string",
"studyType": "Bachelor",
"enrollmentDate": "2019-08-24T14:15:22Z",
"completionDate": "2019-08-24T14:15:22Z",
"status": "Enrolled"
}
],
"groupMemberships": [
{
"id": 0,
"memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",
"memberName": "string",
"groupId": 0,
"groupName": "string",
"groupType": "Committee",
"membershipYear": 0,
"roleAliasId": 0,
"roleAliasName": "string"
}
],
"gratie": true,
"lidVanVerdienste": true,
"ereLid": true,
"begunstiger": true,
"suspended": true,
"profilePicturePath": "string"
}{
"message": "string"
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}